<?php

namespace MovieSite\MovieSite\Seeders;

use DB;
use Illuminate\Database\Seeder;

class MovieSiteTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('movie_sites')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'movie_site.movie_site.view',
                'name'      => 'View MovieSite',
            ],
            [
                'slug'      => 'movie_site.movie_site.create',
                'name'      => 'Create MovieSite',
            ],
            [
                'slug'      => 'movie_site.movie_site.edit',
                'name'      => 'Update MovieSite',
            ],
            [
                'slug'      => 'movie_site.movie_site.delete',
                'name'      => 'Delete MovieSite',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'movie_site.movie_site.verify',
                'name'      => 'Verify MovieSite',
            ],
            [
                'slug'      => 'movie_site.movie_site.approve',
                'name'      => 'Approve MovieSite',
            ],
            [
                'slug'      => 'movie_site.movie_site.publish',
                'name'      => 'Publish MovieSite',
            ],
            [
                'slug'      => 'movie_site.movie_site.unpublish',
                'name'      => 'Unpublish MovieSite',
            ],
            [
                'slug'      => 'movie_site.movie_site.cancel',
                'name'      => 'Cancel MovieSite',
            ],
            [
                'slug'      => 'movie_site.movie_site.archive',
                'name'      => 'Archive MovieSite',
            ],
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/movie_site/movie_site',
                'name'        => 'MovieSite',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/movie_site/movie_site',
                'name'        => 'MovieSite',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'movie_site',
                'name'        => 'MovieSite',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'MovieSite',
                'module'    => 'MovieSite',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'movie_site.movie_site.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
