Lavalite package that provides movie_site management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `movie_site/movie_site`.

    "movie_site/movie_site": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    MovieSite\MovieSite\Providers\MovieSiteServiceProvider::class,

And also add it to alias

    'MovieSite'  => MovieSite\MovieSite\Facades\MovieSite::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=MovieSite\\MovieSite\\Seeders\\MovieSiteTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="MovieSite\MovieSite\Providers\MovieSiteServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="MovieSite\MovieSite\Providers\MovieSiteServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="MovieSite\MovieSite\Providers\MovieSiteServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/movie_site/{modulename}

**User**

    http://path-to-route-folder/user/movie_site/{modulename}

**Public**

    http://path-to-route-folder/movie_sites


### API endpoints

**List**

    http://path-to-route-folder/api/user/movie_site/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/movie_site/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/movie_site/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/movie_site/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/movie_site/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/movie_site/{modulename}/{slug}
    METHOD: GET