<?php

namespace MovieSite\MovieSite\Repositories\Eloquent;

use MovieSite\MovieSite\Interfaces\MovieSiteRepositoryInterface;
use Litepie\Repository\BaseRepository;
use MovieSite\MovieSite\Repositories\Eloquent\Presenters\MovieSiteItemPresenter;


class MovieSiteRepository extends BaseRepository implements MovieSiteRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('movie_site.movie_site.movie_site.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('movie_site.movie_site.movie_site.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return MovieSiteItemPresenter::class;
    }
}
