<?php

namespace MovieSite\MovieSite\Workflow;

use MovieSite\MovieSite\Models\MovieSite;
use MovieSite\MovieSite\Notifications\MovieSiteWorkflow as MovieSiteNotifyer;
use Notification;

class MovieSiteNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param MovieSite $movie_site
     *
     * @return void
     */
    public function complete(MovieSite $movie_site)
    {
        return Notification::send($movie_site->user, new MovieSiteNotifyer($movie_site, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param MovieSite $movie_site
     *
     * @return void
     */
    public function verify(MovieSite $movie_site)
    {
        return Notification::send($movie_site->user, new MovieSiteNotifyer($movie_site, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param MovieSite $movie_site
     *
     * @return void
     */
    public function approve(MovieSite $movie_site)
    {
        return Notification::send($movie_site->user, new MovieSiteNotifyer($movie_site, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param MovieSite $movie_site
     *
     * @return void
     */
    public function publish(MovieSite $movie_site)
    {
        return Notification::send($movie_site->user, new MovieSiteNotifyer($movie_site, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param MovieSite $movie_site
     *
     * @return void
     */
    public function archive(MovieSite $movie_site)
    {
        return Notification::send($movie_site->user, new MovieSiteNotifyer($movie_site, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param MovieSite $movie_site
     *
     * @return void
     */
    public function unpublish(MovieSite $movie_site)
    {
        return Notification::send($movie_site->user, new MovieSiteNotifyer($movie_site, 'unpublish'));;

    }
}
